Bug 1886423 - New Affinities don't contain ID until saving
Summary: New Affinities don't contain ID until saving
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 12:26 UTC by Gilad Lekner
Modified: 2021-02-24 15:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:24:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6870 0 None closed Bug 1886423: New Affinities dont contain ID until saving 2021-01-20 15:46:18 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:29 UTC

Description Gilad Lekner 2020-10-08 12:26:57 UTC
Description of problem:
New Affinities don't contain ID until saving. If one creates two affinities in one session, deleting one of them will result in the deletion of both.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Tomas Jelinek 2020-10-08 12:36:11 UTC
first needs to be targeted to 4.7, than with once fixed we can clone to zstream

Comment 3 Guohua Ouyang 2020-11-23 05:36:10 UTC
verified on master ui, delete one rule does not delete other rules.

Comment 6 errata-xmlrpc 2021-02-24 15:24:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.